var socket = require('socket.io');
var http = require('http');
var b = require('bonescript');

var lm61biz = "P9_33";

var getTemperature = function() {
 var voltage = b.analogRead(lm61biz) * 1800;
 var temp = Math.round( ( voltage - 600 ) / 10 );
 return temp;
};

var server = http.createServer(
    function(req, res){
        res.writeHead(200, {'Content-Type': 'text/html'});
        res.end('Current Temperature = ' + getTemperature() );
    }
);

server.listen(8080);
var listen = socket.listen(server);
console.log('listen');
listen.on('connection', 
    function(client) {
        console.log('connected');
        var timer = setInterval( function() {
            var temp = getTemperature();
            client.send( temp );
        }, 1000);
        
        client.on('message', function( message ) {
                client.send(message);
            }
        );
        
        client.on('disconnect', function() {
                console.log('disconnected');
                clearInterval(timer);
            }
        );
    }
);
