#ifndef _BBB_H_
#include <dirent.h>
#include <unistd.h>
#include <linux/limits.h>

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

typedef struct BBB_pwm_t {
        char name[256];
        char sysdir[PATH_MAX];

        unsigned long current_period;
        unsigned long current_duty;

        int period_fd;
        int run_fd;
        int duty_fd;

        int (*set_frequency)(struct BBB_pwm_t *, float);
        int (*set_duty)(struct BBB_pwm_t *,float);
        int (*start)(struct BBB_pwm_t *);
        int (*stop)(struct BBB_pwm_t *);
}  BBB_pwm;

/* functions */
BBB_pwm *BBB_open_pwm(char *name);
void BBB_close_pwm(BBB_pwm *pwm);

#define _BBB_H_ 1

#endif
