#include <BBB.h>
#include <BBB_GPIO.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

int main(int argc, char *argv[])
{
	int i;
	char pin_name[8] = "P9_11";

	if( argc > 1 ) {
		strcpy( pin_name, argv[1] );
		printf( "Set up %s as GPIO\n", pin_name );
	}
	BBB_gpio *gpio = BBB_open_gpio(pin_name);
	if( gpio == NULL ) {
		printf("Can not open %s\n", pin_name );
		return;
	}
	printf( "ch = %d, bit = %d\n", gpio->pin->channel, gpio->pin->bit );

	gpio->set_direction(gpio, OUT );

	for(i=0; i < 10; i++ ) {
		gpio->put( gpio, i & 1 );
		sleep(1);
	}
	BBB_close_gpio(gpio);
}	
